Bootstrap: user, reachable accounts, current account, feature flags
curl --request GET \
--url https://api.semicola.com/auth/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.semicola.com/auth/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.semicola.com/auth/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"user": {
"id": 123,
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"isStaff": true
},
"currentCustomerId": 4503599627370495,
"customers": [
{
"id": 123,
"name": "<string>",
"company": "<string>",
"kind": "STANDALONE",
"nodeKind": "ACCOUNT",
"accountType": "BUYER",
"role": "SUPER_ADMIN",
"membershipRole": "MEMBER",
"parentId": 4503599627370495,
"buyerAccessPosture": "SANDBOX_ONLY"
}
],
"featureFlags": {},
"authProvider": "local",
"emailVerified": true,
"locale": "<string>",
"tos": {
"showTosBox": true,
"canAcceptTos": true,
"latestTosVersion": "<string>",
"acceptedVersion": "<string>",
"tosUpdate": {
"action": "notice",
"changeLevel": "PATCH",
"version": "<string>",
"deadline": "2023-11-07T05:31:56Z"
}
}
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Auth
Bootstrap: user, reachable accounts, current account, feature flags
GET
/
auth
/
me
Bootstrap: user, reachable accounts, current account, feature flags
